matrix:
  platform: ["debian10", "ubuntu2004"]
  bazel:
  - 7.x

tasks:
  verify_targets:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@grpc//:grpc'
    - '@grpc//:grpc_unsecure'
    - '@grpc//:grpc++'
    - '@grpc//:grpc++_unsecure'
    - '@grpc//examples/protos/...'

  verify_windows:
    platform: windows
    bazel: ${{ bazel }}
    build_targets:
    - '@grpc//:grpc'
    - '@grpc//:grpc_unsecure'
    - '@grpc//:grpc++'
    - '@grpc//:grpc++_unsecure'

  verify_macos:
    platform: macos
    bazel: ${{ bazel }}
    build_flags:
    - "--copt=-isystem/usr/local/include"
    build_targets:
    - '@grpc//:grpc'
    - '@grpc//:grpc_unsecure'
    - '@grpc//:grpc++'
    - '@grpc//:grpc++_unsecure'
